%global npmname graceful-fs
%global npminstdir /usr/lib/node_modules/%{npmname}

Summary: fs monkey-patching to avoid EMFILE and other problems 
Name: nodejs-%{npmname}
Version: 1.1.14
Release: 1%{?dist}
Group: Development/Languages
License: BSD
URL: http://github.com/isaacs/node-graceful-fs
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Provides: nodejs-%{npmname} = %{version}

%description
fs monkey-patching to avoid EMFILE and other problems.

Just like node's `fs` module, but it does an incremental back-off when
EMFILE is encountered.

Useful in asynchronous situations where one needs to try to open lots
and lots of files.

%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr .npmignore graceful-fs.js package.json %{buildroot}/%{npminstdir}

# Setup the dependancies

# Setup Binaries

%files
%doc LICENSE README.md
%{npminstdir}

%changelog
* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 1.1.14-1
- Initial build using nodejs spec template

